(*^

::[	Information =

	"This is a Mathematica Notebook file.  It contains ASCII text, and can be
	transferred by email, ftp, or other text-file transfer utility.  It should
	be read or edited using a copy of Mathematica or MathReader.  If you 
	received this as email, use your mail application or copy/paste to save 
	everything from the line containing (*^ down to the line containing ^*)
	into a plain text file.  On some systems you may have to give the file a 
	name ending with ".ma" to allow Mathematica to recognize it as a Notebook.
	The line below identifies what version of Mathematica created this file,
	but it can be opened using any other version as well.";

	FrontEndVersion = "NeXT Mathematica Notebook Front End Version 2.2";

	NeXTStandardFontEncoding; 
	
	fontset = title, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e8,  24, "Times"; ;
	fontset = subtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "Times"; ;
	fontset = subsubtitle, inactive, noPageBreakBelow, noPageBreakInGroup, nohscroll, preserveAspect, groupLikeTitle, center, M7, italic, L1, e6,  14, "Times"; ;
	fontset = section, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "Times"; ;
	fontset = subsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, blackBox, M19, bold, L1, a15,  14, "Times"; ;
	fontset = subsubsection, inactive, noPageBreakBelow, nohscroll, preserveAspect, groupLikeSection, whiteBox, M18, bold, L1, a12,  12, "Times"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = input, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = print, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, noPageBreakInGroup, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w282, h287, L1,  12, "Courier"; ;
	fontset = name, inactive, noPageBreakInGroup, nohscroll, preserveAspect, M7, italic, B65535, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "Times"; ;
	fontset = leftheader,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, italic, L1,  12, "Times"; ;
	fontset = leftfooter,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	paletteColors = 128; currentKernel; 
]
:[font = title; inactive; dontPreserveAspect; fontSize = 28; fontName = "Times"; startGroup]
Linear Programming Notebook
;[s]
1:0,0;27,-1;
1:1,26,20,Times,3,28,0,0,0;
:[font = subsubtitle; inactive; dontPreserveAspect; endGroup]
Komei Fukuda
EPFL and ETHZ
fukuda@ifor.math.ethz.ch

:[font = text; inactive; preserveAspect]
First set a current directory to whereever you store the following packages:  VertexEnum, Combinatorica3 and IOPolyhedra.   If you have C++ program cdd+  installed, then
computation will be much faster.
:[font = input; initialization; preserveAspect]
*)
Off[General::spell];  Off[General::spell1];   
(*
:[font = input; initialization; preserveAspect]
*)
SetDirectory["~/Math"];  (* a personal directory contaiing the packages.*)
(*
:[font = input; initialization; dontPreserveAspect]
*)
<<VertexEnum.m;
(*
:[font = input; initialization; preserveAspect]
*)
<<IOPolyhedra.m;
(*
:[font = input; initialization; Cclosed; preserveAspect; startGroup]
*)
arrow[v1_,v2_,vp_,pr_]:=
Block[{s,cent,cent1,cent2,av,bv,len,tail1,tail2},
	cent=(v1+v2)/2; av=(v1-v2)*pr/2; 
	len=Sqrt[Apply[Plus,av^2]];
	cent1=cent+av;cent2=cent-av;
	s=NullSpace[{v1-v2,vp-(v1+v2)/2}][[1]];
	bv=N[len*s/Sqrt[Apply[Plus,s^2]]*0.5];
	tail1=cent2+bv; tail2=cent2-bv;
	{Line[{cent1,tail1}],Line[{cent1,tail2}]}
]
   
(*
:[font = input; initialization; preserveAspect]
*)
harrow[v1_,v2_,vp_,pr_]:=
Block[{s,head,tail,av,bv,len,tail1,tail2},
	head=v1; av=(v1-v2)*pr/2; 
	len=Sqrt[Apply[Plus,av^2]];
	tail=head-2*av;
	s=NullSpace[{v1-v2,vp-(v1+v2)/2}][[1]];
	bv=N[len*s/Sqrt[Apply[Plus,s^2]]*0.5];
	tail1=tail+bv; tail2=tail-bv;
	{Line[{head,tail1}],Line[{head,tail2}]}
]
   
(*
:[font = input; initialization; preserveAspect]
*)
Off[General::spell];  Off[General::spell1];   
(*
:[font = input; initialization; preserveAspect]
*)
norm2[v_]:=Apply[Plus,v^2];
norm[v_]:=Sqrt[norm2[v]];
(*
:[font = input; initialization; preserveAspect]
*)
uniGEN[dim_,k_]:=
Block[{p,pset={}},
	While[Length[pset]<k,
		p=Table[Random[Real,{0,1}],{dim}];
		If[norm2[p]<=1,AppendTo[pset,p]]
	];
	pset
]
(*
:[font = input; initialization; preserveAspect; startGroup]
*)
Visible[ineq_Integer, {a_,b_}, viewpoint_]:=
	If[N[a[[ineq]].viewpoint] >= N[b[[ineq]]], True, False]
		
(*
:[font = input; initialization; preserveAspect]
*)
Visible[{a_,b_}, viewpoint_]:=
	Map[Visible[#,{a,b},viewpoint]&, Range[Length[b]]]
		
(*
:[font = input; initialization; preserveAspect]
*)
VisibleOrientedSkeleton[vertices_,icd_,{a_, b_, c_},viewpoint_]:=
	Block[{grtemp, edgelist,edgelist0, visibility, viseges, invisedges, 
		visibles,invisibles,varrows,ivarrows},
		edgelist0=EdgesOfPolyhedron[icd];
		edgelist=Map[If[c.vertices[[#[[1]]]]-c.vertices[[#[[2]]]]<0,{#[[2]],#[[1]]},#]&,edgelist0];
		visibility=Flatten[Position[Visible[{a, b},viewpoint],True]];
		visedges=Select[edgelist, 
		(Intersection[visibility,icd[[#[[1]]]],icd[[#[[2]]]] ] != {}) &];
		invisedges=Complement[edgelist,visedges];
		visibles=(vertices[[#]]&) /@ visedges;
		invisibles=(vertices[[#]]&) /@ invisedges;
		varrows=Map[arrow[#[[1]],#[[2]],viewpoint,0.25]&, visibles];
		ivarrows=Map[arrow[#[[1]],#[[2]],viewpoint,0.15]&, invisibles];
		grtemp=Join[{PointSize[0.02],Thickness[0.0055]},
			Line /@ visibles, varrows,
			{Thickness[ 0.0035], Dashing[{0.01,0.012}]}, Line /@ invisibles, ivarrows];
		grtemp
	]
		
(*
;[s]
11:0,0;523,1;553,2;566,3;612,4;671,5;676,6;726,7;736,8;895,9;898,10;902,-1;
11:1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = input; initialization; preserveAspect]
*)
VisibleSkeleton[vertices_,icd_,{a_, b_},viewpoint_]:=
	Block[{grtemp, edgelist, visibility, viseges, invisedges, visibles,invisibles},
		edgelist=EdgesOfPolyhedron[icd];
		visibility=Flatten[Position[Visible[{a, b},viewpoint],True]];
		visedges=Select[edgelist, 
		(Intersection[visibility,icd[[#[[1]]]],icd[[#[[2]]]] ] != {}) &];
		invisedges=Complement[edgelist,visedges];
		visibles=(vertices[[#]]&) /@ visedges;
		invisibles=(vertices[[#]]&) /@ invisedges;
		grtemp=Join[{Thickness[ 0.0055]},
			Line /@ visibles, 
			{Thickness[ 0.0035], Dashing[{0.01,0.012}]}, Line /@ invisibles];
		grtemp
	]
		
(*
;[s]
7:0,0;386,1;416,2;429,3;470,4;596,5;599,6;602,-1;
7:1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = input; initialization; preserveAspect; endGroup; endGroup]
*)
VisibleSkeleton[vertices_,icd_, flist_,{a_, b_},viewpoint_]:=
	Block[{grtemp, edgelist, edgelist0,visibility, viseges, invisedges, visibles,invisibles},
		edgelist0=EdgesOfPolyhedron[icd];
		edgelist=Select[edgelist0,(Intersection[icd[[#[[1]]]],icd[[#[[2]]]],flist] != {})&]; 
		visibility=Flatten[Position[Visible[{a, b},viewpoint],True]];
		visedges=Select[edgelist, 
		(Intersection[visibility,icd[[#[[1]]]],icd[[#[[2]]]] ] != {}) &];
		invisedges=Complement[edgelist,visedges];
		visibles=(vertices[[#]]&) /@ visedges;
		invisibles=(vertices[[#]]&) /@ invisedges;
		grtemp=Join[{Thickness[ 0.0055]},
			Line /@ visibles, 
			{Thickness[ 0.0035], Dashing[{0.01,0.012}]}, Line /@ invisibles];
		grtemp
	]
		
(*
;[s]
7:0,0;493,1;523,2;536,3;577,4;703,5;706,6;709,-1;
7:1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;1,10,8,Times,1,12,0,0,0;1,10,8,Courier,1,12,0,0,0;
:[font = section; inactive; dontPreserveAspect; startGroup]
Enumeration of Vertices
:[font = subsection; inactive; dontPreserveAspect; startGroup]
3-dimensional Convex Polyhedra
:[font = text; inactive; dontPreserveAspect]
Let us start with a simple example.    We shall generate a small random matrix  m  of  size * dim.
:[font = input; dontPreserveAspect]
size=10;    dim=3;
:[font = input; dontPreserveAspect]
m=uniGEN[dim,size];
:[font = text; inactive; dontPreserveAspect]
Let b be the vector of row-sums.
:[font = input; dontPreserveAspect]
b=N[Table[Sqrt[Sum[m[[i,j]]^2,{j,dim}]],{i,size}]];
:[font = input; preserveAspect; startGroup]
c=Table[1,{dim}]
:[font = output; output; inactive; preserveAspect; endGroup]
{1, 1, 1}
;[o]
{1, 1, 1}
:[font = input; preserveAspect]
(*   vine1 problem 
m={{2,0,0},{1,0,2},{0,3,1}};
c={3,4,2};
b={4/2,8/2,6/2};  dim=3; size=3; *)
:[font = input; preserveAspect]
(* mm, bb is the complete matrix to represent the polytope
as the solution set to mm.x <= bb  *)

mm=Join[m,-IdentityMatrix[dim]]; bb=Join[b,Table[0,{dim}]];

:[font = text; inactive; dontPreserveAspect]
Now we try to identify the shape of the convex polyhedron by using the vertex enumeration package.  (It will take about 1 minute by SE/30.)
:[font = input; preserveAspect]

(* THIS SHOWS A VERY SLOW WAY TO COMPUTE ALL VERTICES.
   Comment out the following if you prefer the quicker one below. *)

{vlist,zerolist}=VertexEnumeration[m,b];
shift[l_List]:=Map[If[#<=dim, size+#, #-dim]&,l];
ecdlist=Map[shift[#]&,zerolist];

:[font = input; preserveAspect]
(* THIS SHOWS A MUCH QUICKER WAY TO COMPUTE ALL VERTICES *)

   (* To use the following, you need to install C++ code
   cdd+ in a directory, and set a default path there. 
   cdd+ is obtainable from ftp.ifor.math.ethz.ch
   pub/fukuda/cdd/cdd+-075a.tar.gz *)

(*
SetDirectory["~/Algorithm/Cdd/Development/cdd+-075a"];
VEtoIne[mm,bb,"temp.ine"];
!cddf+ temp.ine;
eadlist=ReadAdjacencyData["temp.ead"];
ecdlist=ReadIncidenceData["temp.ecd"];
extlist=ReadPolyhedraData["temp.ext"];
vlist=Map[Drop[#,1]&,extlist];
*)

:[font = input; preserveAspect]
viewpt={6,2,2};  
polytope=Graphics3D[Polyhedron3D[vlist,ecdlist]];

:[font = input; preserveAspect; startGroup]
Show[polytope,Boxed->False,ViewPoint->viewpt]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 222; pictureHeight = 226]
%!
%%Creator: Mathematica
%%AspectRatio: 1.01572 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0173567 1.08536 1.11022e-16 1.08536 [
[ 0 0 0 0 ]
[ 1 1.01572 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.01572 L
0 1.01572 L
closepath
clip
newpath
.5 Mabswid
[ ] 0 setdash
.74804 .1803 m .96342 .32118 L .34812 .38869 L p .656 .751 .919 r
F P
0 g
s
.34812 .38869 m .04443 .11484 L .74804 .1803 L p .656 .751 .919 r
F P
0 g
s
.08562 .44002 m .04443 .11484 L .34812 .38869 L p .918 .728 .63 r
F P
0 g
s
.24885 .90772 m .08562 .44002 L p .34812 .38869 L .918 .728 .63 r
F P
0 g
s
.30849 .96991 m .24885 .90772 L p .34812 .38869 L .918 .728 .63 r
F P
0 g
s
.34812 .38869 m .3424 .99457 L .30849 .96991 L p .918 .728 .63 r
F P
0 g
s
.96182 .42578 m .96342 .32118 L .34812 .38869 L p .671 .523 .674 r
F P
0 g
s
.85329 .71895 m .96182 .42578 L p .34812 .38869 L .671 .523 .674 r
F P
0 g
s
.67476 .90213 m .85329 .71895 L p .34812 .38869 L .671 .523 .674 r
F P
0 g
s
.53365 .96541 m .67476 .90213 L p .34812 .38869 L .671 .523 .674 r
F P
0 g
s
.45972 .98077 m .53365 .96541 L p .34812 .38869 L .671 .523 .674 r
F P
0 g
s
.34812 .38869 m .3424 .99457 L .45972 .98077 L p .671 .523 .674 r
F P
0 g
s
.3424 .99457 m .30849 .96991 L .45972 .98077 L closepath p .644 .779 .945 r
F P
0 g
s
.80735 .40133 m .96182 .42578 L .96342 .32118 L p .874 .692 .653 r
F P
0 g
s
.77902 .35407 m .80735 .40133 L p .96342 .32118 L .874 .692 .653 r
F P
0 g
s
.96342 .32118 m .74804 .1803 L .77902 .35407 L p .874 .692 .653 r
F P
0 g
s
.30849 .96991 m .45972 .98077 L .53365 .96541 L p .692 .739 .887 r
F P
0 g
s
.80702 .62453 m .85329 .71895 L .96182 .42578 L p .865 .747 .731 r
F P
0 g
s
.96182 .42578 m .80735 .40133 L .80702 .62453 L p .865 .747 .731 r
F P
0 g
s
.49481 .76977 m .33336 .89147 L .53365 .96541 L p .736 .719 .836 r
F P
0 g
s
.61242 .83876 m .49481 .76977 L p .53365 .96541 L .736 .719 .836 r
F P
0 g
s
.53365 .96541 m .67476 .90213 L .61242 .83876 L p .736 .719 .836 r
F P
0 g
s
.53365 .96541 m .33336 .89147 L p .30849 .96991 L .692 .739 .887 r
F P
0 g
s
.80702 .62453 m .85329 .71895 L .67476 .90213 L p .79 .723 .79 r
F P
0 g
s
.75429 .65582 m .80702 .62453 L p .67476 .90213 L .79 .723 .79 r
F P
0 g
s
.67476 .90213 m .61242 .83876 L .75429 .65582 L p .79 .723 .79 r
F P
0 g
s
.33336 .89147 m .24885 .90772 L .30849 .96991 L p .692 .739 .887 r
F P
0 g
s
.49789 .74696 m .49481 .76977 L .61242 .83876 L p .779 .705 .782 r
F P
0 g
s
.61242 .83876 m .75429 .65582 L .49789 .74696 L p .779 .705 .782 r
F P
0 g
s
.80735 .40133 m .80702 .62453 L .75429 .65582 L p .772 .672 .753 r
F P
0 g
s
.49481 .76977 m .33336 .89147 L .24885 .90772 L p .693 .625 .776 r
F P
0 g
s
.49789 .74696 m .49481 .76977 L p .24885 .90772 L .693 .625 .776 r
F P
0 g
s
.47005 .64192 m .49789 .74696 L p .24885 .90772 L .693 .625 .776 r
F P
0 g
s
.24885 .90772 m .08562 .44002 L .47005 .64192 L p .693 .625 .776 r
F P
0 g
s
.77902 .35407 m .80735 .40133 L p .75429 .65582 L .772 .672 .753 r
F P
0 g
s
.47005 .64192 m .77902 .35407 L p .75429 .65582 L .772 .672 .753 r
F P
0 g
s
.75429 .65582 m .49789 .74696 L .47005 .64192 L p .772 .672 .753 r
F P
0 g
s
.77902 .35407 m .74804 .1803 L p .08562 .44002 L .733 .601 .711 r
F P
0 g
s
.08562 .44002 m .47005 .64192 L .77902 .35407 L p .733 .601 .711 r
F P
0 g
s
.74804 .1803 m .04443 .11484 L .08562 .44002 L p .733 .601 .711 r
F P
0 g
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect; startGroup]

Show[polyskel=Graphics3D[VisibleSkeleton[vlist,ecdlist,{mm,bb},viewpt]],
	Boxed->False,ViewPoint->viewpt]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 217; pictureHeight = 220]
%!
%%Creator: Mathematica
%%AspectRatio: 1.01572 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0173567 1.08536 1.11022e-16 1.08536 [
[ 0 0 0 0 ]
[ 1 1.01572 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.01572 L
0 1.01572 L
closepath
clip
newpath
0 g
.0035 w
[ .01 .012 ] 0 setdash
.34812 .38869 m
.96342 .32118 L
s
.34812 .38869 m
.04443 .11484 L
s
.34812 .38869 m
.3424 .99457 L
s
.0055 w
[ ] 0 setdash
.3424 .99457 m
.45972 .98077 L
s
.3424 .99457 m
.30849 .96991 L
s
.96342 .32118 m
.96182 .42578 L
s
.96342 .32118 m
.74804 .1803 L
s
.45972 .98077 m
.53365 .96541 L
s
.30849 .96991 m
.45972 .98077 L
s
.96182 .42578 m
.85329 .71895 L
s
.96182 .42578 m
.80735 .40133 L
s
.53365 .96541 m
.33336 .89147 L
s
.53365 .96541 m
.67476 .90213 L
s
.67476 .90213 m
.85329 .71895 L
s
.67476 .90213 m
.61242 .83876 L
s
.30849 .96991 m
.24885 .90772 L
s
.85329 .71895 m
.80702 .62453 L
s
.61242 .83876 m
.49481 .76977 L
s
.61242 .83876 m
.75429 .65582 L
s
.80735 .40133 m
.80702 .62453 L
s
.75429 .65582 m
.80702 .62453 L
s
.24885 .90772 m
.33336 .89147 L
s
.24885 .90772 m
.08562 .44002 L
s
.75429 .65582 m
.49789 .74696 L
s
.33336 .89147 m
.49481 .76977 L
s
.77902 .35407 m
.80735 .40133 L
s
.49481 .76977 m
.49789 .74696 L
s
.47005 .64192 m
.49789 .74696 L
s
.74804 .1803 m
.77902 .35407 L
s
.47005 .64192 m
.77902 .35407 L
s
.04443 .11484 m
.74804 .1803 L
s
.08562 .44002 m
.47005 .64192 L
s
.08562 .44002 m
.04443 .11484 L
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect; startGroup]

Show[opolyskel=Graphics3D[VisibleOrientedSkeleton[vlist,ecdlist,{mm,bb,c},viewpt]],
	Boxed->False,ViewPoint->viewpt]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 239; pictureHeight = 245]
%!
%%Creator: Mathematica
%%AspectRatio: 1.02581 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.023022 1.0959 1.11022e-16 1.0959 [
[ 0 0 0 0 ]
[ 1 1.02581 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.02581 L
0 1.02581 L
closepath
clip
newpath
0 g
.0035 w
[ .01 .012 ] 0 setdash
.95662 .34786 m
.36477 .41232 L
s
.07455 .15104 m
.36477 .41232 L
s
.35963 .99517 m
.36477 .41232 L
s
.36185 .74295 m
.33995 .65555 L
s
.36185 .74295 m
.3853 .65555 L
s
.70041 .37577 m
.60933 .36238 L
s
.70041 .37577 m
.61397 .40848 L
s
.0055 w
[ ] 0 setdash
.47248 .98197 m
.35963 .99517 L
s
.32721 .97161 m
.35963 .99517 L
s
.95512 .44849 m
.95662 .34786 L
s
.75017 .21346 m
.95662 .34786 L
s
.43 .98694 m
.40113 .98279 L
s
.43 .98694 m
.40246 .99769 L
s
.95568 .41063 m
.94944 .38556 L
s
.95568 .41063 m
.96268 .38538 L
s
.33948 .98053 m
.35052 .98131 L
s
.33948 .98053 m
.34465 .99152 L
s
.54358 .96724 m
.47248 .98197 L
s
.47248 .98197 m
.32721 .97161 L
s
.85087 .7304 m
.95512 .44849 L
s
.80708 .42569 m
.95512 .44849 L
s
.51686 .97277 m
.49824 .97181 L
s
.51686 .97277 m
.49993 .9811 L
s
.89018 .6241 m
.89826 .54733 L
s
.41829 .9781 m
.38246 .96595 L
s
.41829 .9781 m
.3815 .98509 L
s
.35145 .89651 m
.54358 .96724 L
s
.67926 .90646 m
.54358 .96724 L
s
.89018 .6241 m
.93424 .55992 L
s
.62823 .92932 m
.5906 .93582 L
s
.62823 .92932 m
.59802 .95321 L
s
.78649 .79645 m
.73264 .82973 L
s
.85087 .7304 m
.67926 .90646 L
s
.61954 .84577 m
.67926 .90646 L
s
.2702 .9121 m
.32721 .97161 L
s
.78649 .79645 m
.75454 .85121 L
s
.80659 .63993 m
.85087 .7304 L
s
.0035 w
[ .01 .012 ] 0 setdash
.20681 .27011 m
.27006 .28719 L
s
.20681 .27011 m
.23031 .33113 L
s
.0055 w
[ ] 0 setdash
.42498 .92358 m
.47814 .92456 L
s
.64222 .86881 m
.6636 .87746 L
s
.64222 .86881 m
.65068 .8905 L
s
.42498 .92358 m
.46785 .95796 L
s
.82343 .67433 m
.82488 .70092 L
s
.82343 .67433 m
.84412 .69296 L
s
.2919 .93476 m
.31311 .94206 L
s
.83071 .26589 m
.86585 .32212 L
s
.2919 .93476 m
.2992 .95721 L
s
.86432 .43451 m
.8989 .46064 L
s
.86432 .43451 m
.90371 .41977 L
s
.83071 .26589 m
.89871 .27678 L
s
.50679 .77977 m
.61954 .84577 L
s
.75595 .67003 m
.61954 .84577 L
s
.70459 .7362 m
.65951 .77133 L
s
.70459 .7362 m
.68148 .78894 L
s
.80708 .42569 m
.80659 .63993 L
s
.75595 .67003 m
.80659 .63993 L
s
.77498 .65872 m
.78555 .6479 L
s
.77498 .65872 m
.78973 .65449 L
s
.35145 .89651 m
.2702 .9121 L
s
.11406 .46336 m
.2702 .9121 L
s
.32092 .90237 m
.29972 .90098 L
s
.32092 .90237 m
.30149 .91155 L
s
.50978 .75788 m
.75595 .67003 L
s
.50679 .77977 m
.35145 .89651 L
s
.54973 .8049 m
.58372 .81058 L
s
.54973 .8049 m
.57211 .83222 L
s
.80689 .50695 m
.79191 .55994 L
s
.80689 .50695 m
.82164 .56107 L
s
.60332 .7245 m
.65822 .68581 L
s
.44793 .82401 m
.40131 .84186 L
s
.44793 .82401 m
.41689 .86453 L
s
.60332 .7245 m
.67148 .71929 L
s
.77992 .38039 m
.80708 .42569 L
s
.17448 .63701 m
.24636 .73761 L
s
.17448 .63701 m
.1806 .76066 L
s
.79015 .39745 m
.79329 .41078 L
s
.79015 .39745 m
.80059 .40678 L
s
.50978 .75788 m
.50679 .77977 L
s
.50866 .7661 m
.50623 .77127 L
s
.50866 .7661 m
.5096 .77187 L
s
.48317 .6571 m
.50978 .75788 L
s
.77992 .38039 m
.75017 .21346 L
s
.48317 .6571 m
.77992 .38039 L
s
.76878 .31788 m
.77178 .2743 L
s
.76878 .31788 m
.75091 .278 L
s
.75017 .21346 m
.07455 .15104 L
s
.49322 .69517 m
.49229 .7222 L
s
.49322 .69517 m
.50746 .71852 L
s
.59519 .55264 m
.65169 .46494 L
s
.59519 .55264 m
.68708 .502 L
s
.48317 .6571 m
.11406 .46336 L
s
.5013 .19046 m
.33632 .13139 L
s
.5013 .19046 m
.32854 .21829 L
s
.34618 .5852 m
.26617 .51318 L
s
.34618 .5852 m
.24164 .56036 L
s
.11406 .46336 m
.07455 .15104 L
s
.09928 .34651 m
.10896 .26603 L
s
.09928 .34651 m
.06983 .27082 L
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect]
xlimit=1.45;
v1={xlimit,0,0};v2={0,xlimit,0};v3={0,0,xlimit};ori={0,0,0};
coordinates=Graphics3D[
    Join[{Thickness[ 0.005],GrayLevel[0]}, 
    {Thickness[ 0.0035], Dashing[{0.003,0.012}]}, 
    (* harrow[v1,ori,viewpt,0.1],harrow[v2,ori,viewpt,0.1],harrow[v3,ori,viewpt,0.1], *)
	Line /@ {{ori,v1}, {ori,v2},{ori,v3} }]];
;[s]
1:0,0;324,-1;
1:1,10,8,Times,1,12,0,0,0;
:[font = input; preserveAspect; startGroup]
Show[{polyskel,coordinates},
	Boxed->False,ViewPoint->viewpt]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 216; pictureHeight = 224]
%!
%%Creator: Mathematica
%%AspectRatio: 1.03388 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0289307 1.10437 -1.11022e-16 1.10437 [
[ 0 0 0 0 ]
[ 1 1.03388 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.03388 L
0 1.03388 L
closepath
clip
newpath
0 g
.0035 w
[ .003 .012 ] 0 setdash
.31375 .36268 m
.30523 1.01234 L
s
.31375 .36268 m
.9593 .28924 L
s
.31375 .36268 m
.04862 .12286 L
s
[ .01 .012 ] 0 setdash
.31375 .36268 m
.76363 .3115 L
s
.31375 .36268 m
.08737 .15791 L
s
.31375 .36268 m
.30794 .80573 L
s
.0055 w
[ ] 0 setdash
.30794 .80573 m
.39367 .79492 L
s
.30794 .80573 m
.28236 .78599 L
s
.76363 .3115 m
.76184 .38797 L
s
.76363 .3115 m
.59945 .20619 L
s
.39367 .79492 m
.44763 .78328 L
s
.28236 .78599 m
.39367 .79492 L
s
.76184 .38797 m
.68133 .60217 L
s
.76184 .38797 m
.64354 .36738 L
s
.44763 .78328 m
.29917 .72562 L
s
.44763 .78328 m
.55064 .73639 L
s
.55064 .73639 m
.68133 .60217 L
s
.55064 .73639 m
.50338 .68799 L
s
.28236 .78599 m
.23767 .73784 L
s
.68133 .60217 m
.64518 .5313 L
s
.50338 .68799 m
.41577 .63527 L
s
.50338 .68799 m
.60637 .55386 L
s
.64354 .36738 m
.64518 .5313 L
s
.60637 .55386 m
.64518 .5313 L
s
.23767 .73784 m
.29917 .72562 L
s
.23767 .73784 m
.11727 .3935 L
s
.60637 .55386 m
.41783 .61842 L
s
.29917 .72562 m
.41577 .63527 L
s
.62221 .33263 m
.64354 .36738 L
s
.41577 .63527 m
.41783 .61842 L
s
.39681 .54108 m
.41783 .61842 L
s
.59945 .20619 m
.62221 .33263 L
s
.39681 .54108 m
.62221 .33263 L
s
.08737 .15791 m
.59945 .20619 L
s
.11727 .3935 m
.39681 .54108 L
s
.11727 .3935 m
.08737 .15791 L
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect; startGroup]
Show[{opolyskel,coordinates},
	Boxed->False,ViewPoint->viewpt]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 219; pictureHeight = 227]
%!
%%Creator: Mathematica
%%AspectRatio: 1.04074 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0323821 1.10922 -1.11022e-16 1.10922 [
[ 0 0 0 0 ]
[ 1 1.04074 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.04074 L
0 1.04074 L
closepath
clip
newpath
0 g
.0035 w
[ .003 .012 ] 0 setdash
.32643 .38012 m
.31875 1.01626 L
s
.32643 .38012 m
.9585 .30899 L
s
.32643 .38012 m
.07006 .14857 L
s
[ .01 .012 ] 0 setdash
.76711 .33053 m
.32643 .38012 L
s
.10739 .18228 m
.32643 .38012 L
s
.32119 .81415 m
.32643 .38012 L
s
.32345 .62688 m
.30724 .56179 L
s
.32345 .62688 m
.34123 .56179 L
s
.57691 .35194 m
.50908 .3421 L
s
.57691 .35194 m
.51255 .37664 L
s
.0055 w
[ ] 0 setdash
.40515 .80358 m
.32119 .81415 L
s
.29639 .79486 m
.32119 .81415 L
s
.76536 .40543 m
.76711 .33053 L
s
.60682 .22878 m
.76711 .33053 L
s
.37357 .80756 m
.35209 .80466 L
s
.37357 .80756 m
.35307 .81574 L
s
.76601 .37727 m
.76153 .35861 L
s
.76601 .37727 m
.77138 .35847 L
s
.30576 .80215 m
.31416 .80318 L
s
.30576 .80215 m
.30976 .81076 L
s
.45798 .7922 m
.40515 .80358 L
s
.40515 .80358 m
.29639 .79486 L
s
.68661 .61507 m
.76536 .40543 L
s
.64984 .38605 m
.76536 .40543 L
s
.43813 .79648 m
.4243 .79587 L
s
.43813 .79648 m
.42555 .80277 L
s
.71628 .53609 m
.7226 .47902 L
s
.36454 .80033 m
.33772 .79104 L
s
.36454 .80033 m
.33699 .80526 L
s
.31324 .73593 m
.45798 .7922 L
s
.55879 .74635 m
.45798 .7922 L
s
.71628 .53609 m
.74933 .48835 L
s
.52089 .76359 m
.49294 .76859 L
s
.52089 .76359 m
.49844 .78151 L
s
.63866 .66432 m
.59858 .68918 L
s
.68661 .61507 m
.55879 .74635 L
s
.51274 .69911 m
.55879 .74635 L
s
.25308 .74786 m
.29639 .79486 L
s
.63866 .66432 m
.61483 .70511 L
s
.65136 .54598 m
.68661 .61507 L
s
.0035 w
[ .01 .012 ] 0 setdash
.20605 .2714 m
.25362 .28464 L
s
.20605 .2714 m
.22403 .31736 L
s
.0055 w
[ ] 0 setdash
.36844 .75739 m
.40847 .75907 L
s
.53018 .71701 m
.54651 .72397 L
s
.53018 .71701 m
.53688 .73367 L
s
.36844 .75739 m
.40077 .78385 L
s
.66473 .57219 m
.6664 .59244 L
s
.66473 .57219 m
.68069 .58649 L
s
.26953 .76571 m
.28553 .77185 L
s
.66894 .26821 m
.69682 .31051 L
s
.26953 .76571 m
.27517 .78307 L
s
.69427 .3935 m
.72135 .41355 L
s
.69427 .3935 m
.72493 .38314 L
s
.66894 .26821 m
.72116 .27674 L
s
.42739 .64776 m
.51274 .69911 L
s
.61344 .56807 m
.51274 .69911 L
s
.57555 .61737 m
.54225 .64363 L
s
.57555 .61737 m
.55851 .65665 L
s
.64984 .38605 m
.65136 .54598 L
s
.61344 .56807 m
.65136 .54598 L
s
.62769 .55977 m
.63562 .55181 L
s
.62769 .55977 m
.63871 .55669 L
s
.31324 .73593 m
.25308 .74786 L
s
.13648 .41208 m
.25308 .74786 L
s
.29064 .74041 m
.27495 .73949 L
s
.29064 .74041 m
.27626 .7473 L
s
.42943 .63133 m
.61344 .56807 L
s
.42739 .64776 m
.31324 .73593 L
s
.4598 .66726 m
.48546 .67209 L
s
.4598 .66726 m
.47682 .68811 L
s
.65041 .44659 m
.63981 .48617 L
s
.65041 .44659 m
.66179 .48697 L
s
.49919 .60735 m
.5403 .57916 L
s
.38421 .68111 m
.34992 .69478 L
s
.38421 .68111 m
.36144 .71153 L
s
.49919 .60735 m
.55007 .60391 L
s
.62904 .35222 m
.64984 .38605 L
s
.18136 .54131 m
.23482 .61673 L
s
.18136 .54131 m
.18615 .63372 L
s
.63687 .36495 m
.63938 .37489 L
s
.63687 .36495 m
.64476 .37192 L
s
.42943 .63133 m
.42739 .64776 L
s
.42866 .6375 m
.42691 .64138 L
s
.42866 .6375 m
.4294 .64183 L
s
.40904 .55591 m
.42943 .63133 L
s
.62904 .35222 m
.60682 .22878 L
s
.40904 .55591 m
.62904 .35222 L
s
.62072 .30599 m
.62286 .27375 L
s
.62072 .30599 m
.60748 .2765 L
s
.60682 .22878 m
.10739 .18228 L
s
.41673 .58436 m
.41622 .60458 L
s
.41673 .58436 m
.42743 .60185 L
s
.49199 .47911 m
.53395 .41452 L
s
.49199 .47911 m
.56004 .44186 L
s
.40904 .55591 m
.13648 .41208 L
s
.42226 .2116 m
.30026 .16795 L
s
.42226 .2116 m
.29457 .23197 L
s
.30769 .50243 m
.2486 .44912 L
s
.30769 .50243 m
.23052 .48383 L
s
.13648 .41208 m
.10739 .18228 L
s
.12559 .32606 m
.1327 .26686 L
s
.12559 .32606 m
.10393 .27037 L
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect; startGroup]
Show[{polytope,coordinates},
	Boxed->False,ViewPoint->viewpt]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 232; pictureHeight = 239]
%!
%%Creator: Mathematica
%%AspectRatio: 1.03388 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.0289307 1.10437 -1.11022e-16 1.10437 [
[ 0 0 0 0 ]
[ 1 1.03388 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.03388 L
0 1.03388 L
closepath
clip
newpath
.5 Mabswid
[ ] 0 setdash
.59945 .20619 m .76363 .3115 L .31375 .36268 L p .66 .746 .914 r
F P
0 g
s
.31375 .36268 m .08737 .15791 L .59945 .20619 L p .66 .746 .914 r
F P
0 g
s
.11727 .3935 m .08737 .15791 L .31375 .36268 L p .913 .724 .634 r
F P
0 g
s
.23767 .73784 m .11727 .3935 L p .31375 .36268 L .913 .724 .634 r
F P
0 g
s
.28236 .78599 m .23767 .73784 L p .31375 .36268 L .913 .724 .634 r
F P
0 g
s
.31375 .36268 m .30794 .80573 L .28236 .78599 L p .913 .724 .634 r
F P
0 g
s
.76184 .38797 m .76363 .3115 L .31375 .36268 L p .671 .523 .674 r
F P
0 g
s
.68133 .60217 m .76184 .38797 L p .31375 .36268 L .671 .523 .674 r
F P
0 g
s
.55064 .73639 m .68133 .60217 L p .31375 .36268 L .671 .523 .674 r
F P
0 g
s
.44763 .78328 m .55064 .73639 L p .31375 .36268 L .671 .523 .674 r
F P
0 g
s
.39367 .79492 m .44763 .78328 L p .31375 .36268 L .671 .523 .674 r
F P
0 g
s
.31375 .36268 m .30794 .80573 L .39367 .79492 L p .671 .523 .674 r
F P
0 g
s
.30794 .80573 m .28236 .78599 L .39367 .79492 L closepath p .655 .768 .932 r
F P
0 g
s
.0035 w
[ .003 .012 ] 0 setdash
.30523 1.01234 m
.30794 .80573 L
s
.30817 .78806 m
.31375 .36268 L
s
.5 Mabswid
[ ] 0 setdash
.64354 .36738 m .76184 .38797 L .76363 .3115 L p .867 .687 .657 r
F P
0 g
s
.62221 .33263 m .64354 .36738 L p .76363 .3115 L .867 .687 .657 r
F P
0 g
s
.76363 .3115 m .59945 .20619 L .62221 .33263 L p .867 .687 .657 r
F P
0 g
s
.0035 w
[ .003 .012 ] 0 setdash
.76363 .3115 m
.9593 .28924 L
s
.31375 .36268 m
.62132 .32769 L
s
.5 Mabswid
[ ] 0 setdash
.28236 .78599 m .39367 .79492 L .44763 .78328 L p .695 .73 .878 r
F P
0 g
s
.64518 .5313 m .68133 .60217 L .76184 .38797 L p .857 .738 .731 r
F P
0 g
s
.76184 .38797 m .64354 .36738 L .64518 .5313 L p .857 .738 .731 r
F P
0 g
s
.41577 .63527 m .29917 .72562 L .44763 .78328 L p .735 .712 .83 r
F P
0 g
s
.50338 .68799 m .41577 .63527 L p .44763 .78328 L .735 .712 .83 r
F P
0 g
s
.44763 .78328 m .55064 .73639 L .50338 .68799 L p .735 .712 .83 r
F P
0 g
s
.44763 .78328 m .29917 .72562 L p .28236 .78599 L .695 .73 .878 r
F P
0 g
s
.64518 .5313 m .68133 .60217 L .55064 .73639 L p .786 .716 .786 r
F P
0 g
s
.60637 .55386 m .64518 .5313 L p .55064 .73639 L .786 .716 .786 r
F P
0 g
s
.55064 .73639 m .50338 .68799 L .60637 .55386 L p .786 .716 .786 r
F P
0 g
s
.29917 .72562 m .23767 .73784 L .28236 .78599 L p .695 .73 .878 r
F P
0 g
s
.41783 .61842 m .41577 .63527 L .50338 .68799 L p .776 .7 .779 r
F P
0 g
s
.50338 .68799 m .60637 .55386 L .41783 .61842 L p .776 .7 .779 r
F P
0 g
s
.64354 .36738 m .64518 .5313 L .60637 .55386 L p .769 .669 .752 r
F P
0 g
s
.41577 .63527 m .29917 .72562 L .23767 .73784 L p .693 .624 .774 r
F P
0 g
s
.41783 .61842 m .41577 .63527 L p .23767 .73784 L .693 .624 .774 r
F P
0 g
s
.39681 .54108 m .41783 .61842 L p .23767 .73784 L .693 .624 .774 r
F P
0 g
s
.23767 .73784 m .11727 .3935 L .39681 .54108 L p .693 .624 .774 r
F P
0 g
s
.62221 .33263 m .64354 .36738 L p .60637 .55386 L .769 .669 .752 r
F P
0 g
s
.39681 .54108 m .62221 .33263 L p .60637 .55386 L .769 .669 .752 r
F P
0 g
s
.60637 .55386 m .41783 .61842 L .39681 .54108 L p .769 .669 .752 r
F P
0 g
s
.62221 .33263 m .59945 .20619 L p .11727 .3935 L .732 .601 .711 r
F P
0 g
s
.11727 .3935 m .39681 .54108 L .62221 .33263 L p .732 .601 .711 r
F P
0 g
s
.59945 .20619 m .08737 .15791 L .11727 .3935 L p .732 .601 .711 r
F P
0 g
s
.0035 w
[ .003 .012 ] 0 setdash
.04862 .12286 m
.08737 .15791 L
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
:[font = input; preserveAspect; startGroup]
viewpt2={-10, 6, 10};
polyskel2=Graphics3D[VisibleSkeleton[vlist,ecdlist,{mm,bb},viewpt2]];
Show[{coordinates,polyskel2}, Boxed->False,ViewPoint->viewpt2]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 322; pictureHeight = 380]
%!
%%Creator: Mathematica
%%AspectRatio: 1.17884 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-0.10124 1.19382 0 1.19382 [
[ 0 0 0 0 ]
[ 1 1.17884 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 1.17884 L
0 1.17884 L
closepath
clip
newpath
0 g
.0035 w
[ .003 .012 ] 0 setdash
.95616 .26718 m
.60638 .64015 L
s
[ .01 .012 ] 0 setdash
.65076 .59283 m
.44311 .31199 L
s
.69499 .69645 m
.65076 .59283 L
s
.95616 .26718 m
.65076 .59283 L
s
.0055 w
[ ] 0 setdash
.69499 .69645 m
.61318 .61124 L
s
.86407 .71189 m
.69499 .69645 L
s
.44311 .31199 m
.46262 .36287 L
s
.55115 .10025 m
.44311 .31199 L
s
.95616 .26718 m
.55115 .10025 L
s
.95616 .26718 m
.9692 .6197 L
s
.0035 w
[ .003 .012 ] 0 setdash
.95616 .26718 m
.97529 .78423 L
s
.95616 .26718 m
.37773 .02877 L
s
.0055 w
[ ] 0 setdash
.46262 .36287 m
.47714 .35227 L
s
.61318 .61124 m
.46262 .36287 L
s
.61318 .61124 m
.65303 .61562 L
s
.47714 .35227 m
.56712 .39169 L
s
.55404 .16061 m
.47714 .35227 L
s
.6664 .61933 m
.65303 .61562 L
s
.5865 .43287 m
.65303 .61562 L
s
.81253 .6839 m
.6664 .61933 L
s
.70263 .543 m
.6664 .61933 L
s
.86407 .71189 m
.81253 .6839 L
s
.93005 .65801 m
.86407 .71189 L
s
.55115 .10025 m
.55404 .16061 L
s
.84226 .56107 m
.81253 .6839 L
s
.5865 .43287 m
.56712 .39169 L
s
.70263 .543 m
.5865 .43287 L
s
.55404 .16061 m
.62938 .35121 L
s
.62938 .35121 m
.56712 .39169 L
s
.93005 .65801 m
.89125 .58602 L
s
.9692 .6197 m
.93005 .65801 L
s
.74869 .4942 m
.70263 .543 L
s
.9692 .6197 m
.89125 .58602 L
s
.89125 .58602 m
.84226 .56107 L
s
.74869 .4942 m
.62938 .35121 L
s
.84226 .56107 m
.74869 .4942 L
s
% End of Graphics
MathPictureEnd

:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup; endGroup]
Graphics3D["<<>>"]
;[o]
-Graphics3D-
^*)
